/* Global layout */

/* Responsivity */

main.block, aside.block { background-color: #fafafa; }

/* Common */
main.block > section.block { width: 100%; padding: 1em; }
main.block > aside.block { width: 100%;, padding: 1em; }

/* Desktop */
@media (min-width: 60em) {
  main.block > section.block { width: 70%; }
  main.block > aside.block { width: 30%; }
}

/* Tags */

body.block-group {
  font-size: 1em;
  font-family: DejaVu Sans, Verdana, sans-serif;
  background: #333333;
}

header, footer {
  color: #f5f5f5;
  background-color: #333333;
}

header h1.block {
  padding-left: 1%;
  margin-bottom: 0;
  width: 20%;
}

header ul.block.lang {
  margin-top: 0;
  padding-right: 2%;
  width: 80%;
  list-style-type: none;
  text-align: right;
}

header ul.block.lang li {
  display: inline-block;
  padding: 0.5em 0.4em 0.4em 0.4em;
  cursor: pointer;
}

header ul.block.lang li.active {
  font-weight: bold;
  background-color: #666666;
}

header nav { width: 100%; }

footer {
  font-size: 0.7em; 
  text-align: center;
}

a, a:visited, a:link {
  background-color: #6a5687;
  color: #ffffff;
  text-decoration: underline dotted;
}

fieldset {
  border: none;
}

legend {
  font: 1.1em bold;
  border-bottom: 0.1em solid #333333;
  margin-bottom: 1em;
}

label, input { margin: 0.5em 0 0.5em; }

label {
  text-transform: uppercase; 
}

input, select {
  padding: 0.7em;
  border: 0.1em solid #e0e0e0;
  border-radius: 0.3em;
  color: #333333;
  background: #fafafa;
}

input[type=text]:focus, input[type=password]:focus {
  border-color: #949494;
  border-left-width: 0.3em;
  border-right-width: 0.3em;
}

input:invalid { border-color: #cc2d18; }

input.send {
  font-weight: bold;
  color: #fff8e3;
  background: #a15014;
}

input.send:hover, input.send:focus { background: #c47e1b; }

/* Icons */

i.icon-alert { color: #cc2d18; }
